#!/bin/sh
### ====================================================================== ###
##                                                                          ##
##  Ready! API TestServer Bootstrap Script                                 ##
##                                                                          ##
### ====================================================================== ###

### $Id$ ###

DIRNAME=`dirname $0`

# OS specific support (must be 'true' or 'false').
cygwin=false;
darwin=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;
    Darwin*)
        darwin=true
        ;;
esac

# Setup READY_API_SERVER_HOME
# get the full path (without any relative bits)
READY_API_SERVER_HOME=`cd $DIRNAME/..; pwd`

export READY_API_SERVER_HOME


if [ -f "$READY_API_SERVER_HOME/jre/bin/java" ]
then
  JAVA=$READY_API_SERVER_HOME/jre/bin/java
else
    if [ -f "$READY_API_SERVER_HOME/../../PlugIns/jre.bundle/Contents/Home/jre/bin/java" ]
    then
        JAVA=$READY_API_SERVER_HOME/../../PlugIns/jre.bundle/Contents/Home/jre/bin/java
    else
        if [ -f "$JAVA_HOME/bin/java" ]
		then
			JAVA=$JAVA_HOME/bin/java
		else
			JAVA=java
		fi
    fi
fi

READY_API_CLASSPATH=$READY_API_SERVER_HOME/bin/ready-api-testserver-1.5.0.jar:$READY_API_SERVER_HOME/lib/*:$READY_API_SERVER_HOME/.install4j/*
JFXRTPATH=`$JAVA -cp $READY_API_CLASSPATH com.eviware.soapui.tools.JfxrtLocator`
READY_API_CLASSPATH=$JFXRTPATH:$READY_API_CLASSPATH

export READY_API_CLASSPATH

JAVA_OPTS="-Xms128m -Xmx1000m -XX:MinHeapFreeRatio=20 -XX:MaxHeapFreeRatio=40 -XX:MaxPermSize=256m -Dsoapui.properties=soapui.properties -Dgroovy.source.encoding=iso-8859-1 -Dsoapui.home=$READY_API_SERVER_HOME/bin -Dsun.net.http.allowRestrictedHeaders=true -Dtest.history.disabled=true"
if $darwin
then
    JAVA_OPTS="$JAVA_OPTS -Dswing.crossplatformlaf=apple.laf.AquaLookAndFeel -Dapple.eawt.quitStrategy=CLOSE_ALL_WINDOWS"
fi

if [ $READY_API_SERVER_HOME != "" ]
then
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.libraries=$READY_API_SERVER_HOME/bin/ext"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.listeners=$READY_API_SERVER_HOME/bin/listeners"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.actions=$READY_API_SERVER_HOME/bin/actions"
    JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$READY_API_SERVER_HOME/bin"
    JAVA_OPTS="$JAVA_OPTS -Dwsi.dir=$READY_API_SERVER_HOME/wsi-test-tools"
fi

export JAVA_OPTS

# For Cygwin, switch paths to Windows format before running java
if $cygwin
then
    READY_API_SERVER_HOME=`cygpath --path --dos "$READY_API_SERVER_HOME"`
    READY_API_CLASSPATH=`cygpath --path --dos "$READY_API_CLASSPATH"`
fi

cd $DIRNAME
echo ================================
echo =
echo = READY_API_SERVER_HOME = $READY_API_SERVER_HOME
echo =
echo ================================
$JAVA $JAVA_OPTS -cp $READY_API_CLASSPATH com.smartbear.ready.smartest.ReadyApiTestServerMain "$@"
